require "import"
import "com.androlua.*"
import "java.util.Locale"
import "android.net.Uri"
import "android.text.Html"

local translationResult = ""

-- अनुवाद के लिए URL तैयार करें (इसे बंगाली में ट्रांसलेट करेगा)
local query = Uri.encode(this.getText(node))
local url = "https://translate.google.com/m?sl=auto&tl=bn&hl=" .. Locale.getDefault().getLanguage() .. "&q=" .. query

Http.get(url, function(status, result)
    if status == 200 then
        -- अनुवादित टेक्स्ट प्राप्त करने का प्रयास करें
        local translation = result:match('<div[^>]*class="[^"]*result%-container[^"]*"[^>]*>(.-)</div>')
        
        if translation then
            -- HTML से टैग हटाएँ और अनुवादित टेक्स्ट प्राप्त करें
            translationResult = translationResult .. tostring(Html.fromHtml(translation))
            service.setText(translationResult)
            service.speak(" " .. translationResult)
            service.playSoundTick()
        else
            service.speak("अनुवाद नहीं मिला। कृपया HTML संरचना जांचें।")
        end
    else
        service.speak("अनुवाद लाने में त्रुटि। स्थिति: " .. status)
    end
end)